# tunable.query

Sent on tunable changes.

Type: object

##

#### TunableAddedEvent

Type: object
No Additional Properties

##

#### Id

Type: integer

##

#### TunableEntry

Type: object
No Additional Properties

##

#### Type

Type: enum (of string) Default: "SYSCTL"

- `SYSCTL`: `var` is a sysctl name (e.g. `kernel.watchdog`) and `value` is its corresponding value (e.g. `0`).
- `UDEV`: `var` is a udev rules file name (e.g. `10-disable-usb`, `.rules` suffix will be appended automatically) and `value` is its contents (e.g. `BUS=="usb", OPTIONS+="ignore_device"`).
- `ZFS`: `var` is a ZFS kernel module parameter name (e.g. `zfs_dirty_data_max_max`) and `value` is its value (e.g. `783091712`).

##### Must be one of:

- "SYSCTL"
- "UDEV"
- "ZFS"

##

#### Var

Type: string

Name or identifier of the system parameter to tune.

##

#### Value

Type: string

Value to assign to the tunable parameter.

##

#### Comment

Type: string Default: ""

Optional descriptive comment explaining the purpose of this tunable.

##

#### Enabled

Type: boolean Default: true

Whether this tunable is active and should be applied.

##

#### Update Initramfs

Type: boolean Default: true

If `false`, then initramfs will not be updated after creating a ZFS tunable and you will need to run `system boot update_initramfs` manually.

##

#### Id

Type: integer

Unique identifier for the tunable configuration.

##

#### Orig Value

Type: string

Original system value of the parameter before this tunable was applied.

##

#### TunableChangedEvent

Type: object
No Additional Properties

##

#### Id

Type: integer

##

#### TunableEntry

Type: object
No Additional Properties

##

#### Type

Type: enum (of string) Default: "SYSCTL"

- `SYSCTL`: `var` is a sysctl name (e.g. `kernel.watchdog`) and `value` is its corresponding value (e.g. `0`).
- `UDEV`: `var` is a udev rules file name (e.g. `10-disable-usb`, `.rules` suffix will be appended automatically) and `value` is its contents (e.g. `BUS=="usb", OPTIONS+="ignore_device"`).
- `ZFS`: `var` is a ZFS kernel module parameter name (e.g. `zfs_dirty_data_max_max`) and `value` is its value (e.g. `783091712`).

##### Must be one of:

- "SYSCTL"
- "UDEV"
- "ZFS"

##

#### Var

Type: string

Name or identifier of the system parameter to tune.

##

#### Value

Type: string

Value to assign to the tunable parameter.

##

#### Comment

Type: string Default: ""

Optional descriptive comment explaining the purpose of this tunable.

##

#### Enabled

Type: boolean Default: true

Whether this tunable is active and should be applied.

##

#### Update Initramfs

Type: boolean Default: true

If `false`, then initramfs will not be updated after creating a ZFS tunable and you will need to run `system boot update_initramfs` manually.

##

#### Id

Type: integer

Unique identifier for the tunable configuration.

##

#### Orig Value

Type: string

Original system value of the parameter before this tunable was applied.

##

#### TunableRemovedEvent

Type: object
No Additional Properties

##

#### Id

Type: integer

Required roles: SYSTEM_TUNABLE_READ